# Class TSparkArrowBatch

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TSparkArrowBatch

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TSparkArrowBatch>`, `org.apache.thrift.TBase<TSparkArrowBatch,TSparkArrowBatch._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TSparkArrowBatch extends Object implements org.apache.thrift.TBase<TSparkArrowBatch,TSparkArrowBatch._Fields>, Serializable, Cloneable, Comparable<TSparkArrowBatch>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TSparkArrowBatch._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`ByteBuffer`
`batch`
`static final Map<TSparkArrowBatch._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`long`
`rowCount`

## Constructor Summary

Constructors
Constructor
Description
`TSparkArrowBatch()`
`TSparkArrowBatch(TSparkArrowBatch other)`
Performs a deep copy on other.
`TSparkArrowBatch(ByteBuffer batch, long rowCount)`

## Method Summary

Modifier and Type
Method
Description
`ByteBuffer`
`bufferForBatch()`
`void`
`clear()`
`int`
`compareTo(TSparkArrowBatch other)`
`TSparkArrowBatch`
`deepCopy()`
`boolean`
`equals(TSparkArrowBatch that)`
`boolean`
`equals(Object that)`
`TSparkArrowBatch._Fields`
`fieldForId(int fieldId)`
`byte[]`
`getBatch()`
`Object`
`getFieldValue(TSparkArrowBatch._Fields field)`
`long`
`getRowCount()`
`int`
`hashCode()`
`boolean`
`isSet(TSparkArrowBatch._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetBatch()`
Returns true if field batch is set (has been assigned a value) and false otherwise
`boolean`
`isSetRowCount()`
Returns true if field rowCount is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`TSparkArrowBatch`
`setBatch(byte[] batch)`
`TSparkArrowBatch`
`setBatch(ByteBuffer batch)`
`void`
`setBatchIsSet(boolean value)`
`void`
`setFieldValue(TSparkArrowBatch._Fields field, Object value)`
`TSparkArrowBatch`
`setRowCount(long rowCount)`
`void`
`setRowCountIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetBatch()`
`void`
`unsetRowCount()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### batch

public ByteBuffer batch

### rowCount

public long rowCount

### metaDataMap

public static final Map<TSparkArrowBatch._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TSparkArrowBatch

public TSparkArrowBatch()

### TSparkArrowBatch

public TSparkArrowBatch(ByteBuffer batch, long rowCount)

### TSparkArrowBatch

public TSparkArrowBatch(TSparkArrowBatch other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TSparkArrowBatch deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TSparkArrowBatch,TSparkArrowBatch._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TSparkArrowBatch,TSparkArrowBatch._Fields>`

### getBatch

public byte[] getBatch()

### bufferForBatch

public ByteBuffer bufferForBatch()

### setBatch

public TSparkArrowBatch setBatch(byte[] batch)

### setBatch

public TSparkArrowBatch setBatch(ByteBuffer batch)

### unsetBatch

public void unsetBatch()

### isSetBatch

public boolean isSetBatch()
Returns true if field batch is set (has been assigned a value) and false otherwise

### setBatchIsSet

public void setBatchIsSet(boolean value)

### getRowCount

public long getRowCount()

### setRowCount

public TSparkArrowBatch setRowCount(long rowCount)

### unsetRowCount

public void unsetRowCount()

### isSetRowCount

public boolean isSetRowCount()
Returns true if field rowCount is set (has been assigned a value) and false otherwise

### setRowCountIsSet

public void setRowCountIsSet(boolean value)

### setFieldValue

public void setFieldValue(TSparkArrowBatch._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TSparkArrowBatch,TSparkArrowBatch._Fields>`

### getFieldValue

public Object getFieldValue(TSparkArrowBatch._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TSparkArrowBatch,TSparkArrowBatch._Fields>`

### isSet

public boolean isSet(TSparkArrowBatch._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TSparkArrowBatch,TSparkArrowBatch._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TSparkArrowBatch that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TSparkArrowBatch other)

Specified by:
  `compareTo` in interface `Comparable<TSparkArrowBatch>`

### fieldForId

public TSparkArrowBatch._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TSparkArrowBatch,TSparkArrowBatch._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`